## libjnr-posix-java 1.1.8

=== debian/changelog ===
libjnr-posix-java (1.1.8-2) unstable; urgency=low

  [ Jakub Adam ]
  * Add OSGi metadata into jar manifest.
  * Add Jakub Adam to Uploaders.
  * Bump Standards-Version to 3.9.4.
  * Fixed debian-rules-missing-recommended-target lintian warnings.
  
  [ Damien Raude-Morvan ]
  * Upload to unstable.

 -- Damien Raude-Morvan <drazzib@debian.org>  Mon, 06 May 2013 00:45:00 +0200

libjnr-posix-java (1.1.8-1) experimental; urgency=low

  * Transfert maintainance to pkg-java team.
    - Add myself as Uploaders.
    - Thanks to Nicolas Duboc for his work!
  * d/control: Use versionned B-D on libjaffl-java (>= 0.5.9), otherwise FTBFS.
  * d/control: As per Java Policy, drop runtime dependency as
    its a library package.
  * d/rules: Force usage of offline Maven 2.
  * d/patches/pom.diff: remove invalid dependencies from pom.xml.
  * Switch to 3.0 source format.
  * d/control: Bump Standards-Version to 3.9.3, no changes needed.

 -- Damien Raude-Morvan <drazzib@debian.org>  Sun, 19 Aug 2012 01:49:58 +0200

libjnr-posix-java (1.1.4~git1.8aa26268b-1) unstable; urgency=low

  * This package is a fork of the Debian libjna-posix-java package for
    renaming purpose.
  * Packaging upstream git commit (8aa26268b), tentative version 1.1.4.
  * Provides maven artifacts in Debian local repository (closes: #620044)
  * Binary package depends on the headless version of the Java runtime.
  * Bumped Debian policy compliance to 3.9.2 (nothing to do)

 -- Nicolas Duboc <nduboc@debian.org>  Sat, 28 May 2011 18:20:50 +0200
